<?xml version="1.0"?>
<phpunit xmlns="https://schema.phpunit.de/coverage/1.0">
  <build time="Mon Feb 22 16:45:33 UTC 2021" phpunit="9.5.2" coverage="9.2.5">
    <runtime name="PHP" version="8.0.2" url="https://secure.php.net/"/>
    <driver name="xdebug" version="3.0.2"/>
  </build>
  <project source="/home/ubuntu/Documents/MSPR/MAINTANTE_EVOLUTION/opendata-api/sources/src">
    <tests>
      <test name="App\Tests\FunctionalTest\Home\AuthenticationControllerTest::testIfLoginPageIsFunctional" size="unknown" result="0" status="PASSED"/>
      <test name="App\Tests\FunctionalTest\Home\AuthenticationControllerTest::testAuthentication" size="unknown" result="3" status="FAILURE"/>
    </tests>
    <directory name="/">
      <totals>
        <lines total="587" comments="85" code="502" executable="124" executed="3" percent="2.42"/>
        <methods count="34" tested="1" percent="2.94"/>
        <functions count="0" tested="0" percent="0"/>
        <classes count="12" tested="0" percent="0.00"/>
        <traits count="0" tested="0" percent="0"/>
      </totals>
      <directory name="Controller">
        <totals>
          <lines total="154" comments="20" code="134" executable="33" executed="3" percent="9.09"/>
          <methods count="5" tested="1" percent="20.00"/>
          <functions count="0" tested="0" percent="0"/>
          <classes count="4" tested="0" percent="0.00"/>
          <traits count="0" tested="0" percent="0"/>
        </totals>
        <file name="HomeController.php" href="Controller/HomeController.php.xml">
          <totals>
            <lines total="29" comments="4" code="25" executable="1" executed="0" percent="0.00"/>
            <methods count="1" tested="0" percent="0.00"/>
            <functions count="0" tested="0" percent="0"/>
            <classes count="1" tested="0" percent="0.00"/>
            <traits count="0" tested="0" percent="0"/>
          </totals>
        </file>
        <file name="ImportController.php" href="Controller/ImportController.php.xml">
          <totals>
            <lines total="48" comments="3" code="45" executable="14" executed="0" percent="0.00"/>
            <methods count="1" tested="0" percent="0.00"/>
            <functions count="0" tested="0" percent="0"/>
            <classes count="1" tested="0" percent="0.00"/>
            <traits count="0" tested="0" percent="0"/>
          </totals>
        </file>
        <file name="RegistrationController.php" href="Controller/RegistrationController.php.xml">
          <totals>
            <lines total="45" comments="5" code="40" executable="14" executed="0" percent="0.00"/>
            <methods count="1" tested="0" percent="0.00"/>
            <functions count="0" tested="0" percent="0"/>
            <classes count="1" tested="0" percent="0.00"/>
            <traits count="0" tested="0" percent="0"/>
          </totals>
        </file>
        <file name="SecurityController.php" href="Controller/SecurityController.php.xml">
          <totals>
            <lines total="32" comments="8" code="24" executable="4" executed="3" percent="75.00"/>
            <methods count="2" tested="1" percent="50.00"/>
            <functions count="0" tested="0" percent="0"/>
            <classes count="1" tested="0" percent="0.00"/>
            <traits count="0" tested="0" percent="0"/>
          </totals>
        </file>
      </directory>
      <directory name="Entity">
        <totals>
          <lines total="220" comments="57" code="163" executable="30" executed="0" percent="0.00"/>
          <methods count="20" tested="0" percent="0.00"/>
          <functions count="0" tested="0" percent="0"/>
          <classes count="3" tested="0" percent="0.00"/>
          <traits count="0" tested="0" percent="0"/>
        </totals>
        <file name="Data.php" href="Entity/Data.php.xml">
          <totals>
            <lines total="75" comments="17" code="58" executable="10" executed="0" percent="0.00"/>
            <methods count="7" tested="0" percent="0.00"/>
            <functions count="0" tested="0" percent="0"/>
            <classes count="1" tested="0" percent="0.00"/>
            <traits count="0" tested="0" percent="0"/>
          </totals>
        </file>
        <file name="Upload.php" href="Entity/Upload.php.xml">
          <totals>
            <lines total="29" comments="0" code="29" executable="4" executed="0" percent="0.00"/>
            <methods count="3" tested="0" percent="0.00"/>
            <functions count="0" tested="0" percent="0"/>
            <classes count="1" tested="0" percent="0.00"/>
            <traits count="0" tested="0" percent="0"/>
          </totals>
        </file>
        <file name="User.php" href="Entity/User.php.xml">
          <totals>
            <lines total="116" comments="40" code="76" executable="16" executed="0" percent="0.00"/>
            <methods count="10" tested="0" percent="0.00"/>
            <functions count="0" tested="0" percent="0"/>
            <classes count="1" tested="0" percent="0.00"/>
            <traits count="0" tested="0" percent="0"/>
          </totals>
        </file>
      </directory>
      <directory name="Form">
        <totals>
          <lines total="91" comments="3" code="88" executable="23" executed="0" percent="0.00"/>
          <methods count="4" tested="0" percent="0.00"/>
          <functions count="0" tested="0" percent="0"/>
          <classes count="2" tested="0" percent="0.00"/>
          <traits count="0" tested="0" percent="0"/>
        </totals>
        <file name="RegistrationFormType.php" href="Form/RegistrationFormType.php.xml">
          <totals>
            <lines total="54" comments="3" code="51" executable="15" executed="0" percent="0.00"/>
            <methods count="2" tested="0" percent="0.00"/>
            <functions count="0" tested="0" percent="0"/>
            <classes count="1" tested="0" percent="0.00"/>
            <traits count="0" tested="0" percent="0"/>
          </totals>
        </file>
        <file name="UploadType.php" href="Form/UploadType.php.xml">
          <totals>
            <lines total="37" comments="0" code="37" executable="8" executed="0" percent="0.00"/>
            <methods count="2" tested="0" percent="0.00"/>
            <functions count="0" tested="0" percent="0"/>
            <classes count="1" tested="0" percent="0.00"/>
            <traits count="0" tested="0" percent="0"/>
          </totals>
        </file>
      </directory>
      <directory name="Services">
        <totals>
          <lines total="122" comments="5" code="117" executable="38" executed="0" percent="0.00"/>
          <methods count="5" tested="0" percent="0.00"/>
          <functions count="0" tested="0" percent="0"/>
          <classes count="3" tested="0" percent="0.00"/>
          <traits count="0" tested="0" percent="0"/>
        </totals>
        <directory name="Import">
          <totals>
            <lines total="122" comments="5" code="117" executable="38" executed="0" percent="0.00"/>
            <methods count="5" tested="0" percent="0.00"/>
            <functions count="0" tested="0" percent="0"/>
            <classes count="3" tested="0" percent="0.00"/>
            <traits count="0" tested="0" percent="0"/>
          </totals>
          <file name="ImportDataFromCsv.php" href="Services/Import/ImportDataFromCsv.php.xml">
            <totals>
              <lines total="43" comments="4" code="39" executable="19" executed="0" percent="0.00"/>
              <methods count="1" tested="0" percent="0.00"/>
              <functions count="0" tested="0" percent="0"/>
              <classes count="1" tested="0" percent="0.00"/>
              <traits count="0" tested="0" percent="0"/>
            </totals>
          </file>
          <file name="ImportDataFromXml.php" href="Services/Import/ImportDataFromXml.php.xml">
            <totals>
              <lines total="31" comments="1" code="30" executable="13" executed="0" percent="0.00"/>
              <methods count="1" tested="0" percent="0.00"/>
              <functions count="0" tested="0" percent="0"/>
              <classes count="1" tested="0" percent="0.00"/>
              <traits count="0" tested="0" percent="0"/>
            </totals>
          </file>
          <file name="ImportFileStrategyInterface.php" href="Services/Import/ImportFileStrategyInterface.php.xml">
            <totals>
              <lines total="11" comments="0" code="11" executable="0" executed="0" percent="0"/>
              <methods count="0" tested="0" percent="0"/>
              <functions count="0" tested="0" percent="0"/>
              <classes count="0" tested="0" percent="0"/>
              <traits count="0" tested="0" percent="0"/>
            </totals>
          </file>
          <file name="ImportService.php" href="Services/Import/ImportService.php.xml">
            <totals>
              <lines total="25" comments="0" code="25" executable="6" executed="0" percent="0.00"/>
              <methods count="3" tested="0" percent="0.00"/>
              <functions count="0" tested="0" percent="0"/>
              <classes count="1" tested="0" percent="0.00"/>
              <traits count="0" tested="0" percent="0"/>
            </totals>
          </file>
          <file name="ImportServiceInterface.php" href="Services/Import/ImportServiceInterface.php.xml">
            <totals>
              <lines total="12" comments="0" code="12" executable="0" executed="0" percent="0"/>
              <methods count="0" tested="0" percent="0"/>
              <functions count="0" tested="0" percent="0"/>
              <classes count="0" tested="0" percent="0"/>
              <traits count="0" tested="0" percent="0"/>
            </totals>
          </file>
        </directory>
      </directory>
    </directory>
  </project>
</phpunit>
